Bug 84170

Summary: [EFL] Make it possible to define offline storage quota per origin
Product: WebKit Reporter: Thiago Marcos P. Santos <tmpsantos>
Component: WebKit EFLAssignee: Thiago Marcos P. Santos <tmpsantos>
Status: RESOLVED FIXED    
Severity: Normal CC: gyuyoung.kim, lucas.de.marchi, rakuco, tonikitoo, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 84023, 84169    
Bug Blocks: 84342    
Attachments:
Description Flags
define quota based on db origin
none
patch
none
patch none

Description Thiago Marcos P. Santos 2012-04-17 11:09:33 PDT
And unskip tests like:

LayoutTests/storage/quota-tracking.html
Comment 1 Thiago Marcos P. Santos 2012-04-19 13:20:34 PDT
Created attachment 137962 [details]
define quota based on db origin
Comment 2 Thiago Marcos P. Santos 2012-04-20 09:54:25 PDT
Bug 84342 will unskip all passing storage tests after this one lands.
Comment 3 Gyuyoung Kim 2012-04-20 09:58:30 PDT
Comment on attachment 137962 [details]
define quota based on db origin

View in context: https://bugs.webkit.org/attachment.cgi?id=137962&action=review

> Tools/ChangeLog:6
> +        Improved LayoutTestController::setDatabaseQuota to set quota based on

Generally, we add description to below "Reviewed by NOBODY"

> Tools/DumpRenderTree/efl/DumpRenderTreeView.cpp:87
> +static uint64_t onExceededDatabaseQuota(Ewk_View_Smart_Data* smartData, Evas_Object *frame, const char *databaseName, uint64_t current_size, uint64_t expected_size)

Style nit : We don't  set '*' pointer on variable side.
Comment 4 Thiago Marcos P. Santos 2012-04-20 10:03:22 PDT
(In reply to comment #3)
> (From update of attachment 137962 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=137962&action=review
> 
> > Tools/ChangeLog:6
> > +        Improved LayoutTestController::setDatabaseQuota to set quota based on
> 
> Generally, we add description to below "Reviewed by NOBODY"
> 

Well noticed.

> > Tools/DumpRenderTree/efl/DumpRenderTreeView.cpp:87
> > +static uint64_t onExceededDatabaseQuota(Ewk_View_Smart_Data* smartData, Evas_Object *frame, const char *databaseName, uint64_t current_size, uint64_t expected_size)
> 
> Style nit : We don't  set '*' pointer on variable side.

I'm going to fix that. Wondering why check-webkit-style is not catching these...

Thanks for reviewing.
Comment 5 Thiago Marcos P. Santos 2012-04-20 10:23:48 PDT
Created attachment 138112 [details]
patch
Comment 6 WebKit Review Bot 2012-04-20 10:26:02 PDT
Attachment 138112 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Tools/ChangeLog', u'Tools/DumpRenderTree/e..." exit_code: 1
Tools/DumpRenderTree/efl/DumpRenderTreeView.cpp:107:  current_size is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Tools/DumpRenderTree/efl/DumpRenderTreeView.cpp:107:  expected_size is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 2 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Thiago Marcos P. Santos 2012-04-20 12:14:09 PDT
Created attachment 138140 [details]
patch
Comment 8 WebKit Review Bot 2012-04-20 13:28:19 PDT
Comment on attachment 138140 [details]
patch

Clearing flags on attachment: 138140

Committed r114776: <http://trac.webkit.org/changeset/114776>
Comment 9 WebKit Review Bot 2012-04-20 13:28:30 PDT
All reviewed patches have been landed.  Closing bug.